org.apache.mina.filter.logging

## Enum MdcInjectionFilter.MdcKey

- java.lang.Object
- - java.lang.Enum<MdcInjectionFilter.MdcKey>
  - - org.apache.mina.filter.logging.MdcInjectionFilter.MdcKey

- All Implemented Interfaces:
    Serializable, Comparable<MdcInjectionFilter.MdcKey>
  Enclosing class:
    MdcInjectionFilter

      public static enum MdcInjectionFilter.MdcKey
      extends Enum<MdcInjectionFilter.MdcKey>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `handlerClass`
    `localAddress`
    `localIp`
    `localPort`
    `remoteAddress`
    `remoteIp`
    `remotePort`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MdcInjectionFilter.MdcKey` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MdcInjectionFilter.MdcKey[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### handlerClass

          public static final MdcInjectionFilter.MdcKey handlerClass

    - #### remoteAddress

          public static final MdcInjectionFilter.MdcKey remoteAddress

    - #### localAddress

          public static final MdcInjectionFilter.MdcKey localAddress

    - #### remoteIp

          public static final MdcInjectionFilter.MdcKey remoteIp

    - #### remotePort

          public static final MdcInjectionFilter.MdcKey remotePort

    - #### localIp

          public static final MdcInjectionFilter.MdcKey localIp

    - #### localPort

          public static final MdcInjectionFilter.MdcKey localPort

  - ### Method Detail

    - #### values

          public static MdcInjectionFilter.MdcKey[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MdcInjectionFilter.MdcKey c : MdcInjectionFilter.MdcKey.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MdcInjectionFilter.MdcKey valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.